Indices
List indices
GET
OpenGrid indices: current level and changes.
bearerheader
AuthorizationBearer <token>Your API key: Authorization: Bearer opg_live_...
kind?|nulllimit?LimitRange
1 <= value <= 1000Default
100cursor?string|nullOpenGrid-Version?"2026-11-03"The API version to shape the response for. Default: the version pinned to your key.
Value in
"2026-11-03"Success
application/json- response
data*array<>meta*Present on every success. List routes add limit, next_cursor (null on the last page) and total.
curl -X GET 'https://data.tryopengrid.com/v1/indices'Example Response
{ "data": [ { "change_reasons": { "all": "string", "ytd": "string", "property1": "string", "property2": "string" }, "changes": { "all": null, "ytd": null, "property1": null, "property2": null }, "constituents": 0, "coverage": { "chain_segment": null, "chain_segment_start": null, "constituents_now": 0, "first_published": null, "hours_30d": 0, "published_hours_30d": 0 }, "first_published": null, "gpu": null, "gpu_name": "string", "high": null, "hour": "string", "id": "string", "interruptible": true, "kind": "string", "last_published": null, "level": null, "low": null, "name": "string", "provider_class": null, "published": true, "raw_level": null, "reason": null, "region_group": null, "segment": "string", "spark_7d": [ null ], "unit": "string", "volatility": { "property1": { "annualized": null, "basis": "string", "reason": "string", "returns": 0, "window_hours": 0 }, "property2": { "annualized": null, "basis": "string", "reason": "string", "returns": 0, "window_hours": 0 } } } ], "meta": { "as_of": "2019-08-24T14:15:22Z", "api_version": "string", "request_id": "string", "next_cursor": "string", "limit": 0, "total": 0 }}